net.sf.jasperreports.engine

## Interface JRPropertiesHolder

- All Known Subinterfaces:
    BaseColumn, Cell, Column, ColumnGroup, JRBand, JRBreak, JRCellContents, JRChart, JRComponentElement, JRCrosstab, JRCrosstabParameter, JRDataset, JRDatasetRun, JRElement, JREllipse, JRField, JRFrame, JRGenericElement, JRGenericPrintElement, JRGraphicElement, JRImage, JRLine, JRParameter, JRPrintElement, JRPrintEllipse, JRPrintFrame, JRPrintGraphicElement, JRPrintImage, JRPrintLine, JRPrintRectangle, JRPrintText, JRRecordedValuesPrintElement, JRRectangle, JRReport, JRScriptlet, JRStaticText, JRSubreport, JRTextElement, JRTextField, JRValueParameter
  All Known Implementing Classes:
    CompiledCell, DelegatePropertiesHolder, DesignCell, ElementDecorator, FillColumn, FillDatasetRun, FillTableSubreport, JasperDesign, JasperPrint, JasperReport, JRBaseBand, JRBaseBreak, JRBaseCellContents, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseCrosstabParameter, JRBaseDataset, JRBaseDatasetRun, JRBaseElement, JRBaseEllipse, JRBaseField, JRBaseFrame, JRBaseGenericElement, JRBaseGenericPrintElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseParameter, JRBasePrintElement, JRBasePrintEllipse, JRBasePrintFrame, JRBasePrintGraphicElement, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle, JRBasePrintText, JRBaseRectangle, JRBaseReport, JRBaseScriptlet, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBand, JRDesignBreak, JRDesignCellContents, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignCrosstabParameter, JRDesignDataset, JRDesignDatasetRun, JRDesignElement, JRDesignEllipse, JRDesignField, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignParameter, JRDesignRectangle, JRDesignScriptlet, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBand, JRFillBreak, JRFillCellContents, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillCrosstabParameter, JRFillDataset, JRFillDatasetRun, JRFillElement, JRFillEllipse, JRFillField, JRFillFrame, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillParameter, JRFillRectangle, JRFillScriptlet, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, JRRecordedValuesGenericPrintElement, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateElement, JRTemplateEllipse, JRTemplateFrame, JRTemplateGenericElement, JRTemplateGenericPrintElement, JRTemplateGraphicElement, JRTemplateImage, JRTemplateLine, JRTemplatePrintElement, JRTemplatePrintEllipse, JRTemplatePrintFrame, JRTemplatePrintGraphicElement, JRTemplatePrintImage, JRTemplatePrintLine, JRTemplatePrintRectangle, JRTemplatePrintText, JRTemplateRectangle, JRTemplateText, JRVirtualPrintPage.JRIdHolderTemplateElement, MarkerFillDatasetRun, StandardBaseColumn, StandardColumn, StandardColumnGroup, TableJasperReport, TableReport, TableReportDataset, TableSubreport

      public interface JRPropertiesHolder

  Interface to be implemented by objects that have properties attached.
  Version:
    $Id: JRPropertiesHolder.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `boolean` | `hasProperties()` Checks whether the object has any properties.

- - ### Method Detail

    - #### hasProperties

          boolean hasProperties()

      Checks whether the object has any properties.
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          JRPropertiesMap getPropertiesMap()

      Returns this object's properties map.
      Returns:
        this object's properties map

    - #### getParentProperties

          JRPropertiesHolder getParentProperties()

      Returns the parent properties holder, whose properties are used as defaults for this object.
      Returns:
        the parent properties holder, or `null` if no parent

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com